Package com.sap.ai.sdk.core.client

# Class ConfigurationApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ConfigurationApi

public class ConfigurationApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ConfigurationApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `count(String aiResourceGroup)`
  Get number of configurations
  `Integer`
  `count(String aiResourceGroup, String scenarioId, String $search, Boolean searchCaseInsensitive, List<String> executableIds)`
  Get number of configurations
  `AiConfigurationCreationResponse`
  `create(String aiResourceGroup, AiConfigurationBaseData aiConfigurationBaseData)`
  Create configuration
  `AiConfiguration`
  `get(String aiResourceGroup, String configurationId)`
  Get configuration by ID
  `AiConfiguration`
  `get(String aiResourceGroup, String configurationId, String $expand)`
  Get configuration by ID
  `AiConfigurationList`
  `query(String aiResourceGroup)`
  Get list of configurations
  `AiConfigurationList`
  `query(String aiResourceGroup, String scenarioId, Integer $top, Integer $skip, List<String> executableIds, String $search, Boolean searchCaseInsensitive, String $expand)`
  Get list of configurations
  `ConfigurationApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationApi

    public ConfigurationApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ConfigurationApi

    public ConfigurationApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ConfigurationApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### count

    @Nonnull public Integer count(@Nonnull String aiResourceGroup, @Nullable String scenarioId, @Nullable String $search, @Nullable Boolean searchCaseInsensitive, @Nullable List<String> executableIds) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get number of configurations

    Retrieve the number of available configurations that match the specified filter criteria. Filter criteria include a scenarioId or executableIdsList. Search by substring of configuration name is also possible.

    200 - Number of configurations

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - (required) Specify a resource group id
      `scenarioId` - (optional) Scenario identifier
      `$search` - (optional) Generic search term to be looked for in various attributes
      `searchCaseInsensitive` - (optional, default to false) indicates whether the search should be case insensitive
      `executableIds` - (optional) Limit query to only these executable IDs
    Returns:
      Integer
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### count

    @Nonnull public Integer count(@Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get number of configurations

    Retrieve the number of available configurations that match the specified filter criteria. Filter criteria include a scenarioId or executableIdsList. Search by substring of configuration name is also possible.

    200 - Number of configurations

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
    Returns:
      Integer
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public AiConfigurationCreationResponse create(@Nonnull String aiResourceGroup, @Nonnull AiConfigurationBaseData aiConfigurationBaseData) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create configuration

    Create a new configuration linked to a specific scenario and executable for use in an execution or deployment.

    201 - The created configuration

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `aiConfigurationBaseData` - The value for the parameter aiConfigurationBaseData
    Returns:
      AiConfigurationCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public AiConfiguration get(@Nonnull String aiResourceGroup, @Nonnull String configurationId, @Nullable String $expand) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get configuration by ID

    Retrieve details for configuration with configurationId.

    200 - A configuration

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `aiResourceGroup` - (required) Specify a resource group id
      `configurationId` - (required) Configuration identifier
      `$expand` - (optional) expand detailed information on scenario
    Returns:
      AiConfiguration
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public AiConfiguration get(@Nonnull String aiResourceGroup, @Nonnull String configurationId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get configuration by ID

    Retrieve details for configuration with configurationId.

    200 - A configuration

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `configurationId` - Configuration identifier
    Returns:
      AiConfiguration
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiConfigurationList query(@Nonnull String aiResourceGroup, @Nullable String scenarioId, @Nullable Integer $top, @Nullable Integer $skip, @Nullable List<String> executableIds, @Nullable String $search, @Nullable Boolean searchCaseInsensitive, @Nullable String $expand) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of configurations

    Retrieve a list of configurations. Filter results by scenario ID or a list of executable IDs. Search for configurations containing the search string as substring in the configuration name.

    200 - A list of configurations

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - (required) Specify a resource group id
      `scenarioId` - (optional) Scenario identifier
      `$top` - (optional, default to 10000) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `executableIds` - (optional) Limit query to only these executable IDs
      `$search` - (optional) Generic search term to be looked for in various attributes
      `searchCaseInsensitive` - (optional, default to false) indicates whether the search should be case insensitive
      `$expand` - (optional) expand detailed information on scenario
    Returns:
      AiConfigurationList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiConfigurationList query(@Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of configurations

    Retrieve a list of configurations. Filter results by scenario ID or a list of executable IDs. Search for configurations containing the search string as substring in the configuration name.

    200 - A list of configurations

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
    Returns:
      AiConfigurationList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API